Bug 125860 - Anaconda / disk druid crashed when creating a partiton
Anaconda / disk druid crashed when creating a partiton
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda (Show other bugs)
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2004-06-12 13:26 EDT by reubendb
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-01 18:33:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
anaconda crash dump (47.83 KB, text/plain)
2004-06-12 13:28 EDT, reubendb
no flags Details
syslog (9.04 KB, text/plain)
2004-06-12 13:28 EDT, reubendb
no flags Details

  None (edit)
Description reubendb 2004-06-12 13:26:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
When trying to create a new partition in disk druid, Anaconda suddenly
crashed with unhandled exceptions, and give me a crash dump which I
could save in floppy (which is good). The crash dump file is attached.

I think I may have unintentionally tryed to create a new partition in
a disk that has no free space, which may caused the crash, but I don't
quite remember. Rebooting the system and tried the install again
worked fine. 

In anycase, user's ignorance or incompetency should not crash the
system :).

Version-Release number of selected component (if applicable):
RHEL 3 WS Update 2

How reproducible:
Didn't try

Steps to Reproduce:
I did not try to reproduce the crash, as the next try of the install
worked fine. 

Additional info:
Comment 1 reubendb 2004-06-12 13:28:08 EDT
Created attachment 101084 [details]
anaconda crash dump
Comment 2 reubendb 2004-06-12 13:28:34 EDT
Created attachment 101085 [details]
Comment 3 Jeremy Katz 2005-02-01 18:33:47 EST
This is fixed in CVS now

Note You need to log in before you can comment on or make changes to this bug.